Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 82233 - execution of liberty ws-security sample fails for "localhost"
execution of liberty ws-security sample fails for "localhost"
Status: CLOSED FIXED
Product: serverplugins
Classification: Unclassified
Component: Identity
5.x
All Windows XP
: P2 (vote)
: 5.x
Assigned To: Srividhya Narayanan
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-09 09:22 UTC by Viktor Lapitski
Modified: 2006-10-18 07:33 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Viktor Lapitski 2006-08-09 09:22:16 UTC
When webservice client is executed on local domain it is executed with
"localhost" URL, ie.
http://localhost:8080/stockclient/

In liberty case the user will be redirected to the AM for authentication to the
URL like this one

http://sqao10:8080/amserver/UI/Login?goto=http://localhost:8080/stockclient/

(please notice that AM installed on "hostname/FQDN" which isn't a "localhost") 

The successfull authentication at AM:
- sets the cookie that isn't valid for "localhost"  
- redirects back to the "localhost" based url, ie.
http://localhost:8080/stockclient/

Thus client isn't considered authenticated and gets redirected back to the AM
where it presents cookie and thus considered successfully authenticated and
redirected back to the WS client URL which is "localhost" based ....
Comment 1 Srividhya Narayanan 2006-08-09 18:21:21 UTC
When the Run project is invoked from IDE, the defaukt URL the IDE generates is
with localhost. The workaround for this issue is to access the stockclient from
the browser with the proper hostname and not localhost.
Comment 2 Srividhya Narayanan 2006-09-08 05:07:08 UTC
With AM build 5, the installer is installing and configuring AM with localhost
by default for all systems. This fixes this bug also.
Comment 3 Peter Liu 2006-09-08 18:08:35 UTC
Vidhya,  I don't think this bug is fixed.  The installer changes only made it
less likely to happen.  As soon as someone decide to change the hostname to
something that is not localhost, he/she will hit this bug.   A workaround needs
to be document for this. 

Comment 4 Srividhya Narayanan 2006-09-08 18:23:20 UTC
There is already a documentation on this. This needs to be put in
Troubleshooting section or FAQ for FCS.
Comment 5 Peter Liu 2006-09-08 18:27:59 UTC
Vidhya, another issue I just thought about. Now that everything is localhost by
default.  No one can test remote instances anymore unless they reconfigures the
am server to use the hostname. 

In my opinion, we really need to rethink this hostname issue instead of blindly
setting it to localhost.  For example, the installer can ask the user to make a
choice and explain the consequences of their choice.
Comment 6 Srividhya Narayanan 2006-09-19 19:36:25 UTC
For M20 build the installer installs AM byd efault as localhost. This issue
should be resolved with this milestone build. 
Comment 7 Srividhya Narayanan 2006-09-19 19:41:41 UTC
localhost installer change should take care of this
Comment 8 _ hlu 2006-10-18 07:33:52 UTC
Verified in build22.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo